unit Supplog;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, DdeMan;

type
  TCallLog = class(TForm)
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Name: TEdit;
    Product: TEdit;
    Version: TEdit;
    Description: TMemo;
    LogCall: TButton;
    Cancel: TButton;
    AppName: TEdit;
    TopicName: TEdit;
    ItemName: TEdit;
    DdeClientConv1: TDdeClientConv;
    DdeClientItem1: TDdeClientItem;
    Label1: TLabel;
    procedure CancelClick(Sender: TObject);
    procedure LogCallClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  CallLog: TCallLog;
  TheMsg: PChar;
  TheMacro: PChar;
  S: string;

const
  crlf: string = #13 + #10;

implementation

{$R *.DFM}

procedure TCallLog.CancelClick(Sender: TObject);
begin
  Close;
end;

procedure TCallLog.LogCallClick(Sender: TObject);
begin
   TheMsg := StrAlloc(500);
   TheMacro := StrAlloc(80);
   S := Name.Text + crlf + Product.Text + ' version ' + Version.Text + crlf + crlf + Description.Text;
   StrPCopy(TheMsg, S);
   if DDEClientConv1.SetLink(AppName.Text, TopicName.Text) then
   begin
    DDEClientConv1.PokeData('NewAppend', TheMsg);
    Cancel.Caption := 'Done';
   end
   else
    MessageDlg('DDE link failed.  Make sure TeamTalk is running and the Topic exists.', mtInformation, [mbOK], 0);

end;

end.
